coupang
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnWithdrawList2609170000

Query return withdrawal history by receiptID

KRTW
# 01

簡介

Query return withdrawal history by receiptID

# 02

詳細內容

Available buyer market: Korean
Search for the return withdrawal history by using cancel (return) receipt IDs.

路徑

POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnWithdrawList

範例端點

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/returnWithdrawList

URL API Name

GET_RETURNWITHDRAW_BY_CANCEL_IDS
# 03

Path 參數

NameTypeDescription
vendorId*string
Seller ID

Unique seller id issued by Coupang

e.g. A00012345
# 04

請求內容

請求參數

請求內容參數

NameTypeDescription
cancelIds*object[]
List of cancellation (return) receipt IDs to query cancellation history
Maximum 50 cancellIds can be queried at once.
CancellIds should be number type.
請求範例application/json
{
  "cancelIds": [
    87033689
  ]
}
# 05

回應內容

回應訊息

NameTypeDescription
codestring
Http request status code
Example: 200, 400, 500
messagestring
This message will be displayed at request success or failure.
dataobject[]
cancelId
data[].cancelId
integer
Cancellation (return) receipt ID
orderId
data[].orderId
integer
Order ID
vendorId
data[].vendorId
string
Seller code
refundDeliveryDuty
data[].refundDeliveryDuty
string
Return at which party’s fault
CODE Mean
COM 업체
CUS 고객
COU 쿠팡
createdAt
data[].createdAt
string
Time of return (cancel) withdrawal

yyyy-MM-ddThh:mm:ss
vendorItemIds
data[].vendorItemIds
object[]
Return option ID list

Response Example

{
  "code": "200",
  "message": "OK",
  "data": [
    {
      "cancelId": 87033689,
      "orderId": 23000016565020,
      "vendorId": "A00001234",
      "refundDeliveryDuty": "COM",
      "createdAt": "2018-06-05T13:40:56",
      "vendorItemIds": [
        3737624764
      ]
    }
  ]
}
# 06

錯誤碼

HTTP代碼訊息
400HTTP_400Bad Request

錯誤說明

HTTP類型錯誤訊息解決方案
500500 (check request metric)

CReturns getWithdrawnList failed

Please make sure accurate cancelIds (return receipt IDs) were put in. When the value is not properly keyed in, 500 error happens.